Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(7)

Issue 2696963003: Split cursor location from UserDisplayManager. (Closed)

Created:
9 months, 1 week ago by kylechar
Modified:
9 months, 1 week ago
Reviewers:
msw
CC:
chromium-reviews, rjkroege
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Split cursor location from UserDisplayManager. The code to manage shared cursor location isn't closely related to the other functionality in UserDisplayManager. The biggest similarity is that cursor location is on a per user basis. Move code into CursorLocationManager to make UserDisplayManager easier to understand. BUG=693081 Review-Url: https://codereview.chromium.org/2696963003 Cr-Commit-Position: refs/heads/master@{#451193} Committed: https://chromium.googlesource.com/chromium/src/+/625c0cc94b7ee0441ac0debc5f295727f526eafd

Patch Set 1 #

Patch Set 2 : Fixes. #

Total comments: 4

Patch Set 3 : Fix nits. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+202 lines, -99 lines) Patch
M services/ui/ws/BUILD.gn View 2 chunks +3 lines, -0 lines 0 comments Download
A services/ui/ws/cursor_location_manager.h View 1 2 1 chunk +59 lines, -0 lines 0 comments Download
A services/ui/ws/cursor_location_manager.cc View 1 2 1 chunk +50 lines, -0 lines 0 comments Download
A services/ui/ws/cursor_location_manager_unittest.cc View 1 1 chunk +65 lines, -0 lines 0 comments Download
M services/ui/ws/display_manager.h View 1 2 3 chunks +7 lines, -0 lines 0 comments Download
M services/ui/ws/display_manager.cc View 1 2 2 chunks +10 lines, -0 lines 0 comments Download
M services/ui/ws/user_display_manager.h View 4 chunks +1 line, -32 lines 0 comments Download
M services/ui/ws/user_display_manager.cc View 2 chunks +1 line, -34 lines 0 comments Download
M services/ui/ws/user_display_manager_unittest.cc View 2 chunks +0 lines, -29 lines 0 comments Download
M services/ui/ws/window_manager_state.cc View 1 2 2 chunks +2 lines, -1 line 0 comments Download
M services/ui/ws/window_tree.cc View 1 2 2 chunks +4 lines, -3 lines 0 comments Download

Messages

Total messages: 16 (11 generated)
kylechar
9 months, 1 week ago (2017-02-16 19:30:48 UTC) #4
msw
lgtm with nits https://codereview.chromium.org/2696963003/diff/40001/services/ui/ws/cursor_location_manager.h File services/ui/ws/cursor_location_manager.h (right): https://codereview.chromium.org/2696963003/diff/40001/services/ui/ws/cursor_location_manager.h#newcode11 services/ui/ws/cursor_location_manager.h:11: #include "ui/gfx/geometry/point.h" nit: use a fwd ...
9 months, 1 week ago (2017-02-16 21:19:49 UTC) #5
kylechar
Thanks msw! https://codereview.chromium.org/2696963003/diff/40001/services/ui/ws/cursor_location_manager.h File services/ui/ws/cursor_location_manager.h (right): https://codereview.chromium.org/2696963003/diff/40001/services/ui/ws/cursor_location_manager.h#newcode11 services/ui/ws/cursor_location_manager.h:11: #include "ui/gfx/geometry/point.h" On 2017/02/16 21:19:49, msw wrote: ...
9 months, 1 week ago (2017-02-16 22:06:56 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2696963003/80001
9 months, 1 week ago (2017-02-17 01:20:21 UTC) #13
commit-bot: I haz the power
9 months, 1 week ago (2017-02-17 02:37:35 UTC) #16
Message was sent while issue was closed.
Committed patchset #3 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/625c0cc94b7ee0441ac0debc5f29...

Powered by Google App Engine
This is Rietveld efc10ee0f